<script>
    
    Vue.component('campaigntable', {
		data: function() {
			return {}
		},
		methods: {
			translate(texto) {
				if (i18n) return i18n.gettext(texto)
			}
		},
		mounted: function() {
			var bla;

			function cambiarAOscuro() {

				for (let i = 0; i < bla.length; i++) {
					bla[i].classList.remove('white');
					bla[i].classList.add('grey');
					bla[i].classList.add('lighten-1');
					bla[i].style.filter = 'invert(100%)';
				}

			}
			if (localStorage.getItem('background') == "black") {
				bla = document.getElementsByClassName('card-panel');
				bla = Array.prototype.slice.call(bla);
				cambiarAOscuro();
			}
		},
		props: ['d', 'swipeComponent', 'activaCampana', 'deleteList', 'anadirLead', 'eliminarLead' , 'cambia', 'editarLista',
			'duplicarLista', 'reiniciarLista', 'resetListStatus','downloadListReport'
		],
		template: `<? include_once "tabla.html.php" ?>`
    });
    
    // ===========================================================
    // Component desconocido que no esta instanciado correctamente
    // si no se utiliza, eliminarlo
    Vue.component('modtable', {
		data: function() {
			return {}
		},
		methods: {
			translate(texto) {
				if (i18n) return i18n.gettext(texto)
			}
		},
		props: ['dataBuffer', 'renderModCamp', 'resetListStatus']

	})
    // ===========================================================

</script>